uw_1_column:
  label: 'One column'
  category: 'UW layouts'
  template: layouts/layout--uw-1-col
  default_region: first
  regions:
    first:
      label: One
  icon_map:
    - [first]
uw_2_column:
  label: 'Two columns'
  category: 'UW layouts'
  class: '\Drupal\uw_cfg_common\Plugin\Layout\UwColumnLayoutBase'
  template: layouts/layout--uw-2-col
  default_region: first
  regions:
    first:
      label: First
    second:
      label: Second
  icon_map:
    - [first, second]
  column_options:
    columns:
      even-split: 'Even split (50%, 50%)'
      larger-left: 'Larger left (67%, 33%)'
      larger-right: 'Larger right (33%, 67%)'
    default: 'even-split'
uw_3_column:
  label: 'Three columns'
  category: 'UW layouts'
  class: '\Drupal\uw_cfg_common\Plugin\Layout\UwColumnLayoutBase'
  template: layouts/layout--uw-3-col
  default_region: first
  regions:
    first:
      label: First
    second:
      label: Second
    third:
      label: Third
  icon_map:
    - [first, second, third]
  column_options:
    columns:
      even-split: 'Even split (33%, 34%, 33%)'
      larger-left: 'Larger left (50%, 25%, 25%)'
      larger-middle: 'Larger middle (25%, 50%, 25%)'
      larger-right: 'Larger right (25%, 25%, 50%)'
      legacy-38-38-24: 'Legacy (38%, 38%, 24%)'
      legacy-24-38-38: 'Legacy (24%, 38%, 38%)'
    default: 'even-split'
uw_4_column:
  label: 'Four columns'
  category: 'UW layouts'
  class: '\Drupal\uw_cfg_common\Plugin\Layout\UwColumnLayoutBase'
  template: layouts/layout--uw-4-col
  default_region: first
  regions:
    first:
      label: First
    second:
      label: Second
    third:
      label: Third
    fourth:
      label: Fourth
  icon_map:
    - [first, second, third, fourth]
  column_options:
    columns:
      even-split': 'Even split (25%, 25%, 25%, 25%)'
      larger-left': 'Larger left (50%, 16.67%, 16.67%, 16.67%)'
      larger-second': 'Larger second (16.67%, 50%, 16.67%, 16.67%)'
      larger-third': 'Larger third (16.67%, 16.67%, 50%, 16.67%)'
      larger-right': 'Larger right (16.67%, 16.67%, 16.67%, 50%)'
      legacy-23-27-27-23': 'Legacy (23%, 27%, 27%, 23%)'
    default: 'even-split'
uw_5_column:
  label: 'Five columns'
  category: 'UW layouts'
  class: '\Drupal\uw_cfg_common\Plugin\Layout\UwColumnLayoutBase'
  template: layouts/layout--uw-5-col
  default_region: first
  regions:
    first:
      label: First
    second:
      label: Second
    third:
      label: Third
    fourth:
      label: Fourth
    fifth:
      label: Fifth
  icon_map:
    - [first, second, third, fourth, fifth]
  column_options:
    columns:
      even-split': 'Even split (20%, 20%, 20%, 20%, 20%)'
      larger-left': 'Larger left (40%, 15%, 15%, 15%, 15%)'
      larger-second': 'Larger second (15%, 40%, 15%, 15%, 15%)'
      larger-third': 'Larger third (15%, 15%, 40%, 15%, 15%)'
      larger-fourth': 'Larger fourth (15%, 15%, 15%, 40%, 15%)'
      larger-right': 'Larger right (15%, 15%, 15%, 15%, 40%)'
      legacy-23-19-19-19-20': 'Legacy (23%, 19%, 19%, 19%, 20%)'
    default: 'even-split'
uw_inverted_l_right:
  label: 'Inverted "L" - right'
  category: 'UW layouts'
  class: '\Drupal\uw_cfg_common\Plugin\Layout\UwColumnLayoutBase'
  template: layouts/layout--uw-inverted-l-right
  default_region: first
  regions:
    first:
      label: First
    second:
      label: Second
    third:
      label: Third
    fourth:
      label: Fourth
  icon_map:
    - [first, second, fourth]
    - [third, third, fourth]
  column_options:
    columns:
      even-split: 'Even split (50%, 50%)'
      larger-left: 'Larger left (67%, 33%)'
      larger-right: 'Larger right (33%, 67%)'
    default: 'even-split'
uw_inverted_l_left:
  label: 'Inverted "L" - left'
  category: 'UW layouts'
  class: '\Drupal\uw_cfg_common\Plugin\Layout\UwColumnLayoutBase'
  template: layouts/layout--uw-inverted-l-left
  default_region: first
  regions:
    first:
      label: First
    second:
      label: Second
    third:
      label: Third
    fourth:
      label: Fourth
  icon_map:
    - [first, second, third]
    - [first, fourth, fourth]
  column_options:
    columns:
      even-split: 'Even split (50%, 50%)'
      larger-left: 'Larger left (67%, 33%)'
      larger-right: 'Larger right (33%, 67%)'
    default: 'even-split'
